NQTAIL(1)

NAME
nqtail - job queue log viewer

SYNOPSIS
nqtail [-a] [-n] [-q] [job id ...]

DESCRIPTION
nqtail is a simple utility for “following” the output of nq(1) jobs.

Without arguments, the output of the currently running and queued as-of-now jobs is emitted; else the presented job ids are used.

nqtail automatically terminates after the corresponding jobs are done.

The options are as follows:

-a  Output all log files, even of already finished jobs.

-n  Don't wait for new output. Can be used to look at enqueued commands.

-q  Only print the first line of each job output (i.e. the exec line).

ENVIRONMENT

NQDIR
    Directory where lock files/job output resides, see nq(1).

EXIT STATUS

INTERNALS
On Linux, inotify(7) is used to monitor job output. On FreeBSD and macOS, kqueue(2) is used. On other operating systems, polling is used.

SEE ALSO
nq(1), nqterm(1)

AUTHORS
Leah Neukirchen <leah@vuxu.org>

LICENSE
nqtail is in the public domain.

To the extent possible under law, the creator of this work has waived all copyright and related or neighboring rights to this work.

http://creativecommons.org/publicdomain/zero/1.0/